QGIS Application - Feature request #7814

QgsExpression: LIKE operator should respect escaped _ and %

2013-05-13 01:09 AM - Matthias Kuhn

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 16702
Description

QgsExpression LIKE / ILIKE / NOT LIKE / NOT ILIKE operators do currently not allow to escape _ and % operators.

Default escape string should be a backslash \\ or customizable with an ESCAPE statement appended to the LIKE (et al) operator

specifying an escape character.
E.g.
LIKE "45!%" ESCAPE "I"

should match
"45%" but not "45% or more"

History

#1 - 2014-06-21 11:04 AM - Jiirgen Fischer
- Tracker changed from Bug report to Feature request

#2 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#3 - 2017-09-22 10:06 AM - Jiirgen Fischer
- Category set to Unknown

#4 - 2018-09-24 12:14 AM - Nyall Dawson
- Resolution set to fixed/implemented

- Status changed from Open to Closed
- Description updated
